function [TD] = TD(X,Y,q)
%Calculo de la dependencia en colas finita, se toman los vectores X y Y,
%adems del cuantil al cual se quiere calcular la dependencia en colas.

[r1,c1]=size(X); %cuenta el umero de observaciones en X.
[r2,c2]=size(Y); %cuenta el umero de observaciones en Y.

%%Comprovacin para evitar posibles errores
if ~isvector(X)||~isvector(Y)||~r1==r2||q>1||q<0
    error('problema con datos')
end

%Definicin de variables a utilizar
NEOU=floor(r1*q); %Numero de la estadistica de orden Upper.
NEOL=floor(r1*(1-q)); %Numero de la estadistica de orden Lower.
EOX=sort(X); %Vector ordenado X.
EOY=sort(Y); %Vector ordenado Y.
%Contadores.
ILUU=0;
ILUL=0;
ILLL=0;
ILLU=0;

%Calculo Lambda.
for i = 1:r1
    if (X(i)>EOX(NEOU))&& (Y(i)> EOY(NEOU))
        ILUU = ILUU+1;
    end
    if (X(i)>EOX(NEOU))&& (Y(i)< EOY(NEOL))
        ILUL = ILUL+1;
    end
    if (X(i)<EOX(NEOL))&& (Y(i)< EOY(NEOL))
        ILLL = ILLL+1;
    end
    if (X(i)<EOX(NEOL))&& (Y(i)> EOY(NEOU))
        ILLU = ILLU+1;
    end
end

%Se guarda el valor de cada lambda
TD(1)=ILUU/(r1*(1-q));
TD(2)=ILUL/(r1*(1-q));
TD(3)=ILLL/(r1*(1-q));
TD(4)=ILLU/(r1*(1-q));