Matriz_Activos %Se carga la matriz de archivos
PlotsObs %Se grafican los datos observados
[r1,c1]=size(DOBS);

%Calculo de tau de Kendall
[TauK,Pval]=corr(logren,logren,'type','kendall');

%Calculo de la dependencia en colas
L95=cell(1,(c1-1)*(c1)/2);
cc=1;
for i=1:c1-1
    for j=i+1:c1
        L95{1,cc}=TD(logren(:,i),logren(:,j),.95);
        cc=cc+1;
    end
end

%Se inicializa la matriz de thetas
th1=zeros((c1-1)*(c1)/2,2);
th=zeros((c1-1)*(c1)/2,2);
s=1;
M=[1 0;0 1 ;-1 0;0 -1];
b=[5;5;-1;-1];

%Calculo de la estimacin de parametros
for i=1:(c1)-1
    for j=i+1:c1
        th1(s,:)=patternsearch(@(ths) -psver(demp(:,i),demp(:,j),ths),[2 2]);
        th(s,:)=fmincon(@(ths) -psver(demp(:,i),demp(:,j),ths),th1(s,:),M,b);
        s=s+1;
    end
end

[rt,ct]=size(th);

%Se generan simulaciones de las variables de acuerdo a las thetas
%correspondentes a cada par
OS=cell(rt,1);
for i=1:rt
    OS{i,1}=simobs( th(i,:) );
    for j=1:2
        for k=1:100000
            if k==1
                OS{i,1}(k,j+2)=0;
            else
                OS{i,1}(k,j+2)=log(OS{i,1}(k-1,j)/OS{i,1}(k,j));
            end
        end
    end
end

[ro,co]=size(OS);

%Grafica de dispersin de los datos simulados
for i=1:ro
    figure;
    scatter(OS{i,1}(1:10000,1),OS{i,1}(1:10000,2),'.');
end

%Tau de Kendall para los datos simulados
Taus=cell(rt,1);
for i=1:rt
    Taus{i,1}=corr(OS{i,1}(:,1:2),OS{i,1}(:,1:2),'type','kendall');
end

%Dependencia en colas para los datos simulados
l95=cell(rt,1);
for i=1:rt
    l95{i,1}=TD(OS{i,1}(:,1),OS{i,1}(:,2),.95);
end