Matriz_Activos %Se carga la matriz de archivos
PlotsObs %Se grafican los datos observados
[r1,c1]=size(DOBS);

%Calculo de tau de Kendall
[TauK,Pval]=corr(logren,logren,'type','kendall');

%Calculo de la dependencia en colas
L99=cell(1,(c1-1)*(c1)/2);
cc=1;
for i=1:c1-1
    for j=i+1:c1
        L99{1,cc}=TD(logren(:,i),logren(:,j),.99);
        cc=cc+1;
    end
end

%Se inicializa la matriz de thetas
th=zeros((c1-1)*(c1)/2,2);
s=1;

%Calculo de la estimacin de parametros
for i=1:(c1)-1
    for j=i+1:c1
        %Se ingresan limites dentro de los cuales la funcin debe buscar
        %los parametros.
        lb = [1,1];
        ub = [5,5];
        %se inicializan estas variables vacias por necesidad de la
        %funcin,sin esto no reconoce los limites.
        D = [];
        b = [];
        Aeq = [];
        beq = [];
        %Se calcula el minimo de de -pseudo-verosimilitud, lo cual arroja
        %un maximo.
        th(s,:)=patternsearch(@(ths) -psver(demp(:,i),demp(:,j),ths),[2 2],D,b,Aeq,beq,lb,ub);
        s=s+1;
    end
end

[rt,ct]=size(th);

%Se generan simulaciones de las variables de acuerdo a las thetas
%correspondentes a cada par
OS=cell(rt,1);
for i=1:rt
    OS{i,1}=simobs( th(i,:) );
    for j=1:2
        for k=1:100000
            if k==1
                OS{i,1}(k,j+2)=0;
            else
                OS{i,1}(k,j+2)=log(OS{i,1}(k-1,j)/OS{i,1}(k,j));
            end
        end
    end
end

[ro,co]=size(OS);

%Grafica de dispersin de los datos simulados
for i=1:ro
    figure;
    scatter(OS{i,1}(1:10000,1),OS{i,1}(1:10000,2),'.');
end

%Tau de Kendall para los datos simulados
Taus=cell(rt,1);
for i=1:rt
    Taus{i,1}=corr(OS{i,1}(:,1:2),OS{i,1}(:,1:2),'type','kendall');
end

%Dependencia en colas para los datos simulados
l95=cell(rt,1);
for i=1:rt
    l95{i,1}=TD(OS{i,1}(:,1),OS{i,1}(:,2),.95);
end